Name:           maven-ear-plugin
Version:        2.10
Release:        %mkrel 9
Group:          Development/Java
Summary:        Maven EAR Plugin

License:        ASL 2.0
URL:            https://maven.apache.org/plugins/maven-ear-plugin/
Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering)
BuildRequires:  mvn(org.apache.maven.shared:maven-verifier)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(xmlunit:xmlunit)

Obsoletes: maven2-plugin-ear <= 0:2.0.8
Provides: maven2-plugin-ear = 0:%{version}-%{release}

%description
Generates a J2EE Enterprise Archive (EAR) file.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.10-9.mga9
+ Revision: 1827314
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.10-8.mga8
+ Revision: 1491741
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.10-7.mga7
+ Revision: 1264049
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 2.10-6.mga6
+ Revision: 1101410
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.10-4.mga6
+ Revision: 977302
- First rebuild of the java stack
- sync package maven-ear-plugin with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 pterjan <pterjan> 2.8-9.mga5
+ Revision: 809762
- Update file list
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.8-8.mga5
+ Revision: 750918
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 15 2013 dmorgan <dmorgan> 2.8-6.mga4
+ Revision: 557079
- Fix buildrequires
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 dmorgan <dmorgan> 2.8-1.mga4
+ Revision: 452634
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 2.7-3.mga4
+ Revision: 451297
- Don't use legacy plexus-container-default, resolves: rhbz#878557
- Install license files, resolves: rhbz#880268

* Sat Jan 12 2013 umeabot <umeabot> 2.7-2.mga3
+ Revision: 359617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 2.7-1.mga3
+ Revision: 268321
- New version 2.7

* Sun Dec 25 2011 dmorgan <dmorgan> 2.6-1.mga2
+ Revision: 187592
- New version 2.6

* Sat Nov 05 2011 dmorgan <dmorgan> 2.5-3.mga2
+ Revision: 163944
+ rebuild (emptylog)

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 127023
- Fix groups

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-1.mga2
+ Revision: 127012
- Use %%mkrel instead of %%{?dist}
+ gil <gil>
- imported package maven-ear-plugin

